# include "ppSim.h"

void ppSimStarFree(ppSimStar *star)
{
    return;
}

ppSimStar *ppSimStarAlloc () {

    ppSimStar *star = (ppSimStar *) psAlloc(sizeof(ppSimStar));
    psMemSetDeallocator(star, (psFreeFunc) ppSimStarFree);

    return star;
}

void ppSimGalaxyFree(ppSimGalaxy *galaxy)
{
    return;
}

ppSimGalaxy *ppSimGalaxyAlloc () {

    ppSimGalaxy *galaxy = (ppSimGalaxy *) psAlloc(sizeof(ppSimGalaxy));
    psMemSetDeallocator(galaxy, (psFreeFunc) ppSimGalaxyFree);

    return galaxy;
}
